package repo

import (
	"context"
	"voucher/internal/biz/bo"
)

type OrderWechatRepo interface {
	Create(ctx context.Context, req *bo.OrderWechatBo) (*bo.OrderWechatBo, error)
	Success(ctx context.Context, id uint64, couponId string) error
	Fail(ctx context.Context, id uint64, remark string) error
	GetByOutRequestNo(ctx context.Context, outRequestNo string) (*bo.OrderWechatBo, error)
}
